Subject: Re: RPM installer (was Re: SETUP WIZARD FOR CYGWIN?XFREE86)
From: Dario Alcocer <[email-masked]>
To: "Rue. SATOH" <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Jul 2001 08:42:51 -0700

>>>>> "Rue" == Rue SATOH <[email-masked]> writes:

    Rue> Hello.
    Rue> Project HeavyMoon was moved to http://www.sixnine.net/cygwin/,
    Rue> but I don't announced yet.

Thanks for the information, I'll check out the new site soon.

    Rue> I had built db-3.1.17 with DLLize patch.
    Rue> If you want, please get from Project HeavyMoon.
    Rue> My rpm port use some DLL(cygbz, cygdb, cygz) now.

Great, I'll check out the port.  Do you have a src.rpm for RPM?  I'd
be interested in reviewing the *.patch files and the .spec file too.

    Rue> And I had made tarball that include minimum environment and tools.

    Rue> o ash
    Rue> o mkgroup
    Rue> o mkpasswd
    Rue> o mount
    Rue> o umount 
    Rue> o rpm 
    Rue> o rpm2cpio
    Rue> o cygbz21.0.dll
    Rue> o cygdb3.dll
    Rue> o cygwin1.dll
    Rue> o cygz.dll

    Rue> I think that we shall use this sequence to install.
    Rue> I usually use this sequence for build to my cygwin environment that
    Rue> all packages are managemented by rpm(Now, I don't use packages that
    Rue> provided by cygwin.com).

    Rue> 1. extract minimum environment and tools(Ex. instkit.tar.gz).
    Rue> 2. mount / directory.
    Rue> 3. rpm --initdb
    Rue> 4. mkpasswd & mkgroup(optional)

Actually, this could be done by a Cygwin-specific RPM package, one
that contains a post-install script that would create the /etc/passwd
and /etc/group files.

    Rue> 5. install some rpm packages
    Rue>    o termcap(DLLized)
    Rue>    o zlib(DLLized)
    Rue>    o ncurses(DLLized)
    Rue>    o ash
    Rue>    o info
    Rue>    o grep
    Rue>    o bash
    Rue>    o bzip2(including DLLized bzip2 library)
    Rue>    o db(DLLized)
    Rue>    o popt
    Rue>    o file
    Rue>    o rpm

    Rue> Why we use this sequence? Because rpm.exe depend cygz.dll,
    Rue> cygbz21.0.dll and cygdb3.dll. rpm.exe use file.exe, sh.exe
    Rue> and some tools too...

Yes, installation order does matter, but this is the same issue you
run into with the Linux version of RPM, so we're not really any worse
off.

-- 
Dario Alcocer -- Sr. Software Developer, Helix Digital Inc.
[email-masked] -- http://www.helixdigital.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/